<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<title>Admin</title>
<meta http-equiv="Content-Type" content="text/html; charset=windows-874">
<link href="css/main.css" rel="stylesheet" type="text/css">
<script language="JavaScript" type="text/JavaScript">
<!--
function MM_goToURL() { //v3.0
  var i, args=MM_goToURL.arguments; document.MM_returnValue = false;
  for (i=0; i<(args.length-1); i+=2) eval(args[i]+".location='"+args[i+1]+"'");
}
//-->
</script>
</head>
<body bgcolor="#F4F4F4" leftmargin="1" topmargin="1" marginwidth="1" marginheight="1">
<?
	include("./config.inc.php");	//ตั้งค่าต่างๆของเวปบอร์ด
	include("./function.php");		//ฟังก์ชั่นที่ใช้ในเวปบอร์ด

	$filename="member.txt";
		if(file_exists($filename)) 
	   {	// ถ้ามีไฟล์หัวข้อคำถาม
		$dat01 = file($filename);
         // แยกข้อมูลในแต่ละบรรทัด ออกเป็นฟิลด์ย่อย
		 for($i=0;$i<sizeof($dat01);$i++)
		 {
		      $buf = explode("|X|",$dat01[$i]);
			  if($buf[1]==$user)$split = explode("|X|",$dat01[$i]);			   
          }
      }		 	
	
	
	// อ่านค่า Key จากไฟล์
	if(file_exists("$split[1].pass")) {
		$FILE=fopen("$split[1].pass","rt");
		$key_in_file=fgets($FILE,15);	// Key กำหนดอยู่ในไฟล์ 12 ตัว ฉะนั้นต้องอ่านมา มากกว่า 12 ในที่นี้ใช้ 15 ตัว
		fclose($FILE);
	}

	if($key!=$key_in_file) {
		echo Message(65,"red","ไม่อนุญาตให้เข้าใช้หน้า Admin (ลบคำถาม - คำตอบ)","อาจเพราะ Username และหรือ Password ไม่ถูกต้อง<br>หรือยังไม่ได้ Login เข้าระบบ","<a href='./login.php'>Login อีกครั้ง</a>");
		exit();
	}
	

?>
<table width="100%" height="100%" cellpadding="0" cellspacing="1">
  <tr>
    <td align="center" valign="middle"><table width="400" cellpadding="5" cellspacing="1" bgcolor="#CCCCCC">
        <tr>
          <td height="19" bgcolor="#FFFFFF"><table width="400" height="110" cellpadding="0" cellspacing="0">
              <tr>
                <td height="3" align="center" bgcolor="#E1F493"></td>
              </tr>
              <tr> 
                <td height="17" align="center" bgcolor="#C0E824"><strong><font size="1" face="MS Sans Serif, AngsanaUPC, CordiaUPC">Edit 
                  User Infrmation</font></strong></td>
              </tr>
              <tr> 
                <td valign="top" bgcolor="#E4F3AB"> <table width="400" cellpadding="0" cellspacing="1">
                    <tr> 
                      <td height="38" bgcolor="#F7FAED">
					  <form name="form1" method="post" action="ac_edituser.php?<? echo "key=$key&user=$user"; ?>"  onSubmit="return check()"  >
                          <table width="100%" cellspacing="5" cellpadding="0">
                            <tr> 
                              <td width="32%" align="right"><font size="1" face="MS Sans Serif, AngsanaUPC, CordiaUPC">&nbsp;</font></td>
                              <td width="43%"><strong><font size="1" face="MS Sans Serif, AngsanaUPC, CordiaUPC">กรุณากรอกให้ครบ</font></strong></td>
                            </tr>
                            <tr> 
                              <td height="28" align="right"><font size="1" face="MS Sans Serif, AngsanaUPC, CordiaUPC"><strong>User 
                                Name</strong></font></td>
                              <td> <? echo "$split[1]"; ?> </td>
                            </tr>
                            <tr> 
                              <td height="28" align="right"><font size="1" face="MS Sans Serif, AngsanaUPC, CordiaUPC"><strong>Full 
                                Name</strong></font></td>
                              <td><input name="name" type="text" id="id4" value="<? echo "$split[3]"; ?> ": ></td>
                            </tr>
                            <tr> 
                              <td align="right"><font size="1" face="MS Sans Serif, AngsanaUPC, CordiaUPC"><strong> 
                                New Password</strong></font></td>
                              <td><input name="pass01" type="password" id="pass01"></td>
                            </tr>
                            <tr> 
                              <td align="right"><font size="1" face="MS Sans Serif, AngsanaUPC, CordiaUPC"><strong>Confirm 
                                New Password</strong></font></td>
                              <td><input name="pass02" type="password" id="pass02"></td>
                            </tr>
                            <tr> 
                              <td align="right">&nbsp; </td>
                              <td> <script language="JavaScript">

function check()
{

		   
      var v2 = document.form1.name.value;
      var v3 = document.form1.pass01.value;
      var v4 = document.form1.pass02.value;

           if(v2.length==0)
           {
           alert("กรุณาป้อน  Full Name ด้วยครับ") ;
           document.form1.name.focus();           
           return false;
           }else if ((v3.length==0)&&(v4.length!=0))
           {
           alert("กรุณาป้อน password ด้วยครับ") ;
           document.form1.pass01.focus();           
           return false;
           }
        else if ((v4.length==0)&&(v3.length!=0))
           {
           alert("กรุณาป้อน  Confirm password  ให้ถูกต้องด้วยครับ") ;
           document.form1.pass02.focus();           
           return false;
           }
        else if (v4!=v3)
           {
           alert("กรุณาป้อน  password  ไม่ตรงกันครับ") ;
           document.form1.pass01.focus();           
           return false;
           }
           return true;
		   
}
</script> <input type="submit" name="Submit" value="Edit"> <input type="reset" name="Submit2" value="Reset">
                                <input name="logout" type="button" id="logout" onClick="MM_goToURL('parent','logout.php?<? echo "id=$split[1]"; ?>');return document.MM_returnValue" value="Logout" ></td>
                            </tr>
                          </table>
                        </form></td>
                    </tr>
                  </table></td>
              </tr>
            </table></td>
        </tr>
      </table></td>
  </tr>
</table>
